Bug 123763 - In Impress and Draw, the menu item to break apart a SVG graphic is missing
Summary: In Impress and Draw, the menu item to break apart a SVG graphic is missing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.1.1 rc
Hardware: x86-64 (AMD64) All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2019-02-28 12:05 UTC by Derek Keats
Modified: 2019-03-01 08:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Keats 2019-02-28 12:05:43 UTC
Description:
One of the critical features for working with SVG icons in Impress presentations and Draw drawings is the ability to break apart SVG files. This was available on the Right Click popup. In Version: 6.2.1.1 Build ID: 1:6.2.1~rc1-0ubuntu0.18.10.1~lo1 this capability is no longer shown. Was it deliberately removed or is this a bug?

Steps to Reproduce:
1. Drag in an SVG icon
2. Right click the icon
3. Menu appears
4. "Break" is no longer shown on the menu

Actual Results:
Having to use an external application for this siginificantly increases the time it takes to build an icon-heavy page. 

Expected Results:
A "Break" Menu item would be shown.


Reproducible: Always


User Profile Reset: No



Additional Info:
This has significant impact on graphical workflow
Comment 1 V Stuart Foote 2019-02-28 14:35:27 UTC
Confirmed, Break has been removed from default Draw context menus.

But, trivial to add the Break control back to Context menu -- Tools -> Customize -> Context menu, slect the correct "Target" (probably Shape) and search for the Break function. Add it to the context menu, position to preferred slot.
Comment 2 V Stuart Foote 2019-02-28 19:29:52 UTC
@Andreas -- I don't recall any discussion around removing the "Break" command for the "image" object context menu in Draw [1].  I remember the effort to normalize the context menus [2] across the modules (bug 119412 bug 119506) but did Break really need to go?

Your call, but it is a pretty common work flow in Draw & Impress dealing with vector images--SVG, EMF, WMF--and we are now forcing folks to add it back to the context menu or pick it from the main menu's Shape menu.

=-ref-=
[1] https://gerrit.libreoffice.org/#/c/60097/
[2] https://colibreoffice.wordpress.com/2018/08/29/context-menubar/
Comment 3 andreas_k 2019-02-28 23:36:01 UTC
thanks a lot for the bug report. I redraw the break command. Always good to have someone to write bug reports.

many thanks

patch is in review process.
Comment 4 Commit Notification 2019-03-01 07:38:05 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/576519914588021d6e456128c5dee9496abee282%5E%21

tdf#123763 move back break command to graphic context menu for vectorgraphics

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-03-01 08:19:12 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/20acbff2951ed81ff2851a815b0391620785ef21%5E%21

tdf#123763 move back break command to graphic context menu for vectorgraphics

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.